POST Search Slots
POST /sites/{site_id}/slot_search
Operation ID: Search Slots. Tags: sites. Security: oauth2_application.
Searches for slots.
The query attribute specifies a complex query that can be used to narrow down the search. The set of fields that are available to search are:
-
slot_id - String
-
description - String
-
context_type - String
Note that only searchable attributes can be used in sorting. "context_type" value is restricted to Global/Folder/Category.
This endpoint may return the following faults:
- 400 - MalformedSearchParameterException - Thrown if the query is ill-formed.
Parameters
site_id(path, string, required) The site context.
Request body (required)
Media type: application/json, text/xml. Schema: search_request.
Responses
- 400
MalformedSearchParameterException- Thrown if the query is ill-formed.Media type:
application/json, text/xml. Schema:fault. - default
Media type:
application/json, text/xml. Schema:slot_search_result.